=== modified file 'Makefile'
--- Makefile	2009-07-19 02:34:24 +0000
+++ Makefile	2009-07-24 03:39:09 +0000
@@ -6,6 +6,7 @@
 WD:=$(shell pwd)
 PY=$(WD)/bin/py
 PYTHONPATH:=$(WD)/lib:$(WD)/lib/mailman:${PYTHONPATH}
+BUILDOUT_CFG=buildout.cfg
 VERBOSITY=-vv
 
 TESTFLAGS=-p $(VERBOSITY)
@@ -130,8 +131,8 @@
 	$(SHHH) $(PYTHON) bootstrap.py --ez_setup-source=ez_setup.py \
 		--download-base=download-cache/dist --eggs=eggs
 
-$(PY): bin/buildout versions.cfg buildout.cfg setup.py
-	$(SHHH) ./bin/buildout configuration:instance_name=${LPCONFIG}
+$(PY): bin/buildout versions.cfg $(BUILDOUT_CFG) setup.py
+	$(SHHH) ./bin/buildout configuration:instance_name=${LPCONFIG} -c $(BUILDOUT_CFG)
 
 compile: $(PY)
 	${SHHH} $(MAKE) -C sourcecode build PYTHON=${PYTHON} \

=== added file 'bzr-trunk-buildout.cfg'
--- bzr-trunk-buildout.cfg	1970-01-01 00:00:00 +0000
+++ bzr-trunk-buildout.cfg	2009-07-24 03:39:09 +0000
@@ -0,0 +1,12 @@
+# A custom buildout.cfg file for testing against a newer bzr.
+# Checkout or symlink the new bzr as 'bzr.dev' in the root of the
+# launchpad tree then run 'make BUILDOUT_CFG=bzr-trunk-buildout.cfg'.
+
+[buildout]
+extends = buildout.cfg
+
+develop = .
+ bzr.dev
+
+[versions]
+bzr =

=== modified file 'lib/lp/codehosting/__init__.py'
--- lib/lp/codehosting/__init__.py	2009-07-21 16:57:47 +0000
+++ lib/lp/codehosting/__init__.py	2009-07-24 03:39:09 +0000
@@ -36,9 +36,15 @@
 
 def get_bzr_path():
     """Find the path to the copy of Bazaar for this rocketfuel instance"""
-    return os.path.join(
+    bzr_in_egg_path = os.path.join(
         os.path.dirname(os.path.dirname(bzrlib.__file__)),
         'EGG-INFO/scripts/bzr')
+    if os.path.exists(bzr_in_egg_path):
+        return bzr_in_egg_path
+    else:
+        return os.path.join(
+            os.path.dirname(os.path.dirname(bzrlib.__file__)),
+            'bzr')
 
 
 def get_bzr_plugins_path():

